Bug 1729424 - improve handling of unmanaged/missing video devices
Summary: improve handling of unmanaged/missing video devices
Keywords:
Status: VERIFIED
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Virt
Version: 4.3.5
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: ovirt-4.4.0
: ---
Assignee: Tomasz Barański
QA Contact: Nisim Simsolo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-12 08:50 UTC by Michal Skrivanek
Modified: 2019-09-26 10:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: Virt
pm-rhel: ovirt-4.4+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 101777 master MERGED core: Ensure video device exists 2019-07-30 07:52:52 UTC

Description Michal Skrivanek 2019-07-12 08:50:20 UTC
better to always send video model=none when there's no managed video device. Otherwise libvirt adds cirrus which we no longer support

Comment 1 Nisim Simsolo 2019-09-26 10:27:57 UTC
Verified:
ovirt-engine-4.4.0-0.0.master.20190910103859.git07162a4.el7
vdsm-4.40.0-907.gitdb55522.el7.x86_64
libvirt-daemon-4.5.0-23.el7_7.1.x86_64
qemu-kvm-ev-2.12.0-33.1.el7.x86_64
sanlock-3.7.3-1.el7.x86_64
2 X Nvidia Tesla M60 under the same host with Nvidia Grid 9.1 GA drivers.

Verification scenario:
1. Prepare the next VMs:
RHEL 7 VM with mdev-type nvidia-18
Windows 10 VM with 3 mdev_type of nvidia-22
2. Run VMs.
For each of the next steps:
Verify VMs are running with Video model type="none" (observe vdsm.log VM XML or using virsh dumpxml command)
Verify VNC console is showing VMs display.
Verify Nvidia instances are assigned to VMs properly.
3. Power off -> run VMs 10 times.
4. Shutdown -> run VMs 10 times.
5. Reboot VMs 10 times.
6. Remove mdev_type instances from the VM and run VMs.
Verify QXL device is now listed in VM XML video section.
Verify VNC console is showing VM display.
7. Power off VMs, add mdev_type to VMs, run VMs and verify VMs Video model type is "none".


Note You need to log in before you can comment on or make changes to this bug.